Skip to main content
PATCH
Update a job

Authorizations

x-API-Key
string
header
required

Path Parameters

id
string<objectid>
required

Job ID

Query Parameters

updateTeam
enum<string>

Apply the update to all jobs of the team

Available options:
true,
false

Body

application/json
job
Job · object
required

The job fields to set. targetTime (seconds) and iCalendar are required.

userIds
string<objectid>[]

The full set of assigned users after the update. Omitting it unassigns the current users.

type
enum<string>

Edit only this occurrence or this and all future ones. Default: FUTURE

Available options:
THIS,
FUTURE
splitDate
integer<int64>

Occurrence date where the series is split (epoch ms)

exDate
integer<int64>

Occurrence date to exclude from the series (epoch ms)

changedFrom
integer<int64>

Date the occurrence was moved from (epoch ms)

changedTo
integer<int64>

Date the occurrence was moved to (epoch ms)

unset
string[]

Job fields to remove

Response

Job updated

A job assigned to a user or object, with scheduling, assignment, and status information. Inherits common fields from ChatableEntityModel.

_id
string<objectid>

Unique identifier of the entity

number
integer

Unique number of the entity, used for identification

companyId
string<objectid>

The ID of the company this entity belongs to

status
object

Entity Status information

chatId
string<objectid> | null

ID of the chat associated with this entity

assignmentId
string<objectid>

Assignment ID

targetTime
number<float>

Target time for the job in seconds (at most 86400)

from
string<date-time>

Start time of the job

to
string<date-time>

End time of the job

userId
string<objectid>

ID of the user

wrapperId
string<objectid> | null

Wrapper ID

absenceId
string<objectid>

Absence Id, if this job is connected to an absence (if it needs a replacement)

iCalendar
object

Represents a structured iCalendar object with recurrence rules

assignment
Assignment · object

An Assignment acts as the overall structure for jobs. They contain information about what kind of work should be done, where it should be done and how it should be billed. Assignments can be used to track the time spent on a job, the materials used and the costs incurred.

masterJobId
string<objectid>

Master job ID if this is a replacement job

timeTrackings
Time Tracking Entry · object[]

Time tracking entries for the job

salaries
Salary · object[]

Salaries for the job

splitId
string<objected> | null

Split job ID

acceptedStatus
string

Accepted status

jobComment
string

Comment for the job

teamId
string<objectid> | null

Team ID

activityType
Activity Type · object | null

Activity type for the job

exceptionJobId
string<objectid> | null

Exception job ID

title
string

Title of the job

requiredDrivingTime
integer<float>

Required driving time in minutes

requiredBreakTime
integer<float>

Required break time in minutes

started
JobStartedStruct · object[]

Job started entries

absences
JobAbsencesStruct · object[]

Absences related to the job

documentIds
string<objectid>[]

Document IDs related to the job

serviceReportId
string<objectid> | null

Service Report ID if job is linked to a service report